2016 latest launch - SPTrader Pro HD, for iOS

Faster and more stable!
Support iOS 8.0 or above, and especially suitable for users with devices of iOS 9.0 or above



HK and Foreign users




Mainland China users